/* 輔導員資訊--------------------------- */
.mentors_info_area{
    padding: 1.25rem ;
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    border-radius: 10px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06);
    margin-bottom: 2.5rem;
}

.mentors_name{
    display: flex;
    gap: .3125rem;
    font-size: 1rem;
    font-weight: 600;
}



/* 表單--------------------------- */
.fL_info input, .fL_info textarea {
    border: 1px solid #8bce9e;
    background-color: #f1fff5;
}
.fL_info select {
    width: 100%;
    border: 1px solid #8bce9e;
    background-color: #f1fff5;
    height: 42px;
}

.terms_of_use{
    font-weight: 600;
    text-decoration: none;
    color: #5875ab;
}
.terms_of_use:hover{
    text-decoration: none;
    opacity: 0.8;
}


/* 按鈕樣式 */
.reserve_btn_content {
    box-sizing: border-box;
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    padding: 1.25rem 2.5rem;
    padding: clamp(.625rem,1.0417vw,1.25rem) clamp(1.875rem,3.125vw,3.75rem);
    border-radius: 0.5rem;
    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.reserve_btn_content{
  background-color: var(--third_color);
}


.reserve_btn_content:hover {
  background-color: var(--fourth_color);
  color: #fff;
}

@media (max-width: 550px){
    .reserve_btn_content{
        width:  fit-content;
    }
}

/*檔案上傳樣式*/

.inputFile label {
    left: unset;
}

.inputFile {
    position: relative;
    border: solid 0.0625em #8bce9e;
    background-color: #f1fff5;
    border-radius: 0.1875em;
    padding: 0px 80px 0px 0px;
    margin-bottom: 0;
    /* margin: 0px 0px 17px; */
}

.inputFile input[type="text"] {
    border: none;
    background: none;
}

.inputFile label {
    position: absolute;
    top: 0px;
    right: 0px;
    /* width: 100%; */
    text-align: right;
    border: none;
    background: var(--primary_color);
    color: #fff;
    font-size: inherit;
    line-height: 42px;
    text-align: center;
    width: unset;
    display: inline-block;
    transition: 0.3s ease all;
    padding: 0 .625rem;
}

.inputFile input[type='text'] {
    border-bottom: none !important;
}


.inputFile label:hover div {
    background: var(--secondary_color);
}

.inputFile input[type="file"] {
    display: none;
}

/*檔案上傳button*/
.upload {
    position: relative;
    padding-right: 90px;
}

.upload .upload_button {
    position: absolute;
    right: 0;
    top: 0;
    background: var(--secondary_color);
    border-color: var(--secondary_color);
    height: auto;
    line-height: 2.625em;
    line-height: 3em;
    color: #fff;
    width: 80px;
    border-radius: 0.1875em;
    font-size: 0.9375em;
}

.upload .upload_button:hover {
    background: var(--third_color);
    border-color: var(--third_color);
    transition: 0.3s ease all;
}

/*檔案已上傳*/
.uploaded {
    color: var(--primary_color);
}

.uploaded a {
    display: block;
    text-decoration: none;
    color: inherit;
}

.uploaded a:hover {
    opacity: 0.5;
}

/* 上傳檔案按鈕 */
.ppload_file_btn {
    display: flex;
    align-items: center;
}

.ppload_file_btn a{
    text-decoration: none;
    color: #fff;
    background-color: var(--primary_color);
    border-radius: 5px;
    padding: 10px
}